Bug 229734 - Add utility method to find span of a ClassTree's body in the source.
Add utility method to find span of a ClassTree's body in the source.
Status: RESOLVED FIXED
Product: java
Classification: Unclassified
Component: Source
7.4
All All
: P2 (vote)
: 7.4
Assigned To: Ralph Ruijs
issues@java
: API, API_REVIEW_FAST
Depends on:
Blocks: 146654
  Show dependency treegraph
 
Reported: 2013-05-14 15:11 UTC by Ralph Ruijs
Modified: 2013-05-28 14:14 UTC (History)
3 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments
Proposed patch (6.16 KB, patch)
2013-05-14 15:19 UTC, Ralph Ruijs
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralph Ruijs 2013-05-14 15:11:04 UTC
Add a utility method to find span of a ClassTree's body in the source. It returns starting and ending offset of the classtree's body in the source code that was parsed (ie. CompilationInfo.getText()).
Comment 1 Ralph Ruijs 2013-05-14 15:19:50 UTC
Created attachment 134432 [details]
Proposed patch
Comment 2 Ralph Ruijs 2013-05-14 15:24:06 UTC
Please review attached patch.
Comment 3 Ralph Ruijs 2013-05-27 12:42:35 UTC
changeset   : b48b333c6b20
author      : Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
date        : Mon May 27 14:37:31 CEST 2013
summary     : #229734 - Add utility method to find span of a ClassTree's body in the source.
Comment 4 Quality Engineering 2013-05-28 14:14:26 UTC
Integrated into 'main-golden', will be available in build *201305281155* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/b48b333c6b20
User: Ralph Benjamin Ruijs <ralphbenjamin@netbeans.org>
Log: #229734 - Add utility method to find span of a ClassTree's body in the source.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo